import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { VotingEscrowWithRewardsTemplateContractPositionFetcher } from '../../../position/template/voting-escrow-with-rewards.template.contract-position-fetcher';
import { ConcentratorContractFactory, AladdinConcentratorVe, AladdinConcentratorVeRewards } from '../contracts';
export declare class EthereumConcentratorVotingEscrowContractPositionFetcher extends VotingEscrowWithRewardsTemplateContractPositionFetcher<AladdinConcentratorVe, AladdinConcentratorVeRewards> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: ConcentratorContractFactory;
    groupLabel: string;
    veTokenAddress: string;
    rewardAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: ConcentratorContractFactory);
    getEscrowContract(address: string): AladdinConcentratorVe;
    getRewardContract(address: string): AladdinConcentratorVeRewards;
    getEscrowedTokenAddress(contract: AladdinConcentratorVe): Promise<string>;
    getRewardTokenBalance(address: string, contract: AladdinConcentratorVeRewards): Promise<BigNumberish>;
    getRewardTokenAddress(contract: AladdinConcentratorVeRewards): Promise<string>;
    getEscrowedTokenBalance(address: string, contract: AladdinConcentratorVe): Promise<BigNumberish>;
}
